Create a webhook integration
curl --request POST \
--url https://formhug.ai/api/v1/forms/{form_token}/integrations/webhooks \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"url": "https://hooks.example.com/incoming",
"trigger_events": [
"entry_created",
"entry_updated"
],
"enabled": true
}
'import requests
url = "https://formhug.ai/api/v1/forms/{form_token}/integrations/webhooks"
payload = {
"url": "https://hooks.example.com/incoming",
"trigger_events": ["entry_created", "entry_updated"],
"enabled": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
url: 'https://hooks.example.com/incoming',
trigger_events: ['entry_created', 'entry_updated'],
enabled: true
})
};
fetch('https://formhug.ai/api/v1/forms/{form_token}/integrations/webhooks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "65a1f0c5d8e9b2a3f4c5d6e7",
"url": "https://hooks.example.com/incoming",
"trigger_events": [
"entry_created"
],
"enabled": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}Webhooks
Create a webhook integration
Required scope: integration:write.
POST
/
api
/
v1
/
forms
/
{form_token}
/
integrations
/
webhooks
Create a webhook integration
Authorizations
Personal Access Token prefixed with fh_. Sent as Authorization: Bearer fh_xxx.
The scope required by each endpoint is listed in that endpoint's description.
Path Parameters
Form token
Body
application/json
Response
Created
Show child attributes
Show child attributes
Last modified on July 9, 2026
Was this page helpful?
⌘I